#include "mbed.h"
#include "SDFileSystem.h"

AnalogIn x(PTB0);                               //conversion analoga digital
Serial cdc(USBTX,USBRX);                        // habilitar puertos seriales
SDFileSystem sd(PTD2,PTD3,PTD1,PTD0, "sd");     //objeto de la clase SDFileSystem 
FILE  *file1;                                   //objeto de la clase FILE (archivo)
char readvar[512];

//PTD2:MOSI;   cmd  pines a conectar
//PTD3:MISO;   dt0  pines a conectar
//PTD1:CLCK;   clk  pines a conectar
//PTD0:SS;     cd   pines a conectar


int main() 
{
    file1=fopen("/sd/prueba SD.txt","w"); // para abrir el archivo
    wait(1);
    
    for(int i=0; i<5; i++)
    {
        cdc.printf("%f\n",x.read());    //envio de resultados de la convercion
        fprintf(file1,"%f\n ",x.read());     //escribir en el archivo
        wait(1);
    }
    fclose(file1);                  //cerrar el archivo
    
    file1=fopen("/sd/prueba SD.txt","r"); // para abrir el archivo
    for(int i=0; i<5; i++)
    {
            
            fscanf(file1, "\n\r%s", readvar); 
            cdc.printf("%s\n\r", readvar );
            
            
              
    }
    fclose(file1);
   
    
}


